##
##  matrixssl.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  3.4.1
%define       V_dist  3-4-1

#   package information
Name:         matrixssl
Summary:      Small-Footprint SSL/TLS Library
URL:          http://www.matrixssl.org/
Vendor:       PeerSec
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SSL
License:      GPL
Version:      %{V_opkg}
Release:      20130207

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/matrixssl/matrixssl-%{V_dist}-open.tgz
Patch0:       matrixssl.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    MatrixSSL is an embedded SSL/TLS implementation designed for small
    footprint applications and devices.

%track
    prog matrixssl = {
        version   = %{V_dist}
        url       = http://www.matrixssl.org/download.html
        regex     = matrixssl-(__VER__)-open\.tgz
    }

%prep
    %setup -q -n matrixssl-%{V_dist}-open
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/share/matrixssl
    %{l_shtool} install -c -m 644 \
        libmatrixssl.a $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_shtool} install -c -m 644 \
        matrixssl/*.h $RPM_BUILD_ROOT%{l_prefix}/include/
    %{l_shtool} install -c -m 644 \
        doc/*.pdf $RPM_BUILD_ROOT%{l_prefix}/share/matrixssl/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%doc %{l_prefix}/share/matrixssl/*'

%files -f files

%clean

